chrome.runtime.onInstalled.addListener(function() {
  updateIcon();
});

function updateIcon() {
	chrome.storage.local.get('autoFullScreen', function(data) {
		const iconPath = data.autoFullScreen ? 'enabled.png' : 'disabled.png';
		chrome.action.setIcon({ path: iconPath });
	});
}

chrome.action.onClicked.addListener(async function() {
	let {autoFullScreen} = await chrome.storage.local.get(["autoFullScreen"]);
	
	if(autoFullScreen == undefined) {
		autoFullScreen = false;
	}
	autoFullScreen = !autoFullScreen;
	
	await chrome.storage.local.set({ autoFullScreen });
	
	updateIcon();
	
	chrome.tabs.query({active: true, currentWindow: true}, function(tabs) {
		chrome.tabs.reload(tabs[0].id);
	});
});

chrome.runtime.onMessage.addListener(function(message, sender) {
	console.log(message)
	if(message == "requestFullScreenTab") {
		chrome.windows.update(sender.tab.windowId, { state: "fullscreen" })
	}
});