function removeElementIfPresent(selector) {
	const element = document.querySelector(selector)
	if(element) {
		element.remove()
	}
}

function patchStyle(selector, style) {
	const element = document.querySelector(selector)
	for(const [key, value] of Object.entries(style)) {
		element.style[key] = value;
	}
}

function putPlayerFullScreen() {
	document.body.style.overflowY = "hidden";
	
	removeElementIfPresent("header");
	removeElementIfPresent("footer");
	removeElementIfPresent("#watch-info");

	patchStyle("#watch-player", {
		'maxHeight': '100vh',
	});

	patchStyle(".embed-content", {
		'maxHeight': '100vh',
		'cursor': 'none',
	});

	patchStyle(".embed", {
		'maxHeight': '100vh',
		'height': '100vh',
	});
}

(async () => {
	let { autoFullScreen } = await chrome.storage.local.get(["autoFullScreen"]);
	if(autoFullScreen === true) {
		putPlayerFullScreen();
		const response = await chrome.runtime.sendMessage("requestFullScreenTab");
	}
})();
